<?php
// Get helper instance for web forms. This will add the opening form-tag to
// the helper's render cache which is simply a small variable in the class
// BaseHelper.
$helperInstance = ObjectFactory::createObjectByConfiguredName('web_form_helper', array($this, 'admin_register'));

// Always ask at least for nickname and password
$helperInstance->addFormGroup('login', "Bitte gebe hier gew&uuml;nschten Nickname und dein Zugangspasswort ein.");
$helperInstance->addFormSubGroup('username', "Dein Nickname wird erst nach Absenden des Formulares gepr&uuml;ft. Sp&auml;ter bauen wir dann einen automatischen Test ein, der dir sofort zeigt, ob der Nickname bereits vergeben ist.");
$helperInstance->addFieldText('username', "Nickname im <span class=\"app_name\">{?app_full_name?}</span>:");
$helperInstance->addInputTextField('username');
$helperInstance->addFormSubGroup('pass', "Dein Passwort sollte nicht zu leicht erratbar sein. Sp&auml;ter bauen wir hier noch einen automatischen Test ein, der dir sofort die Passwortst&auml;rke anzeigt.");
$helperInstance->addFieldText('pass1', "Passwort:");
$helperInstance->addInputPasswordField('pass1');
$helperInstance->addFieldText('pass2', "Passwortwiederholung:");
$helperInstance->addInputPasswordField('pass2');

if ($helperInstance->ifRegisterRequiresEmailVerification()) {
	$helperInstance->addFormGroup('email', "Bitte gebe deine Email zweimal (ein zweites Mal zur Best&auml;tigung) ein, damit wir dir deinen Freischaltlink zusenden k&ouml;nnen.");
	$helperInstance->addFieldText('email1', "Email-Adresse:");
	$helperInstance->addInputTextField('email1');
	$helperInstance->addFieldText('email2', "Wiederholung Email-Adresse:");
	$helperInstance->addInputTextField('email2');

	if ($helperInstance->ifEmailMustBeUnique()) {
		$helperInstance->addFormNote('email', "Die von dir eingegebene Email-Adresse darf nur einmal im <span class=\"app_name\">{?app_full_name?}</span> verwendet worden sein.");
	} // END - Unique email addresses

} // END - email verification

if ($helperInstance->ifRegisterIncludesProfile()) {
	$helperInstance->addFormGroup('profile', "Hier kannst du zus&auml;tzlich deine Profildaten vorweg eingeben, du kannst sie aber auch nach dem Login vervollst&auml;ndigen!");

	if (!$helperInstance->ifRegisterRequiresEmailVerification()) {
		$helperInstance->addFormSubGroup('email', "Die Angabe deiner Email-Adresse ist nur dann n&ouml;tig, wenn du auch Email-Benachrichtigungen (<span id=\"add_note\">*1</span>) haben m&ouml;chtest.");
		$helperInstance->addFieldText('email1', "Email-Adresse:");
		$helperInstance->addInputTextField('email1');
	} // END - No email verification

	// Persoenliche Daten mit in der Anmeldung abfragen?
	if ($helperInstance->ifRegisterIncludesPersonaData()) {
		$helperInstance->addFormSubGroup('persona', "Wenn du magst, dann vervollst&auml;ndige deine komplette Adresse mit deinem Namen.");
		$helperInstance->addFieldText('surname', "Dein Vorname:");
		$helperInstance->addInputTextField('surname');
		$helperInstance->addFieldText('family', "Dein Nachname:");
		$helperInstance->addInputTextField('family');
		$helperInstance->addFieldText('street', "Strasse und Hausnummer:");
		$helperInstance->addInputTextField('street');
		$helperInstance->addFieldText('city', "Wohnort:");
		$helperInstance->addInputTextField('city');
	} // END - Persona data

	$helperInstance->addFormSubGroup('zip', "Magst du uns auch deine Postleitzahl verraten?");
	$helperInstance->addFieldText('zip', "Postleitzahl:");
	$helperInstance->addInputTextField('zip');

	$helperInstance->addFormSubGroup('chat', "Gebe hier deine Nicknames bzw. Nummern an:");

	if ($helperInstance->ifChatEnabled('icq')) {
		$helperInstance->addFieldText('icq', "ICQ-Nummer:");
		$helperInstance->addInputTextField('icq');
	} // END - if

	if ($helperInstance->ifChatEnabled('jabber')) {
		$helperInstance->addFieldText('jabber', "Jabber:");
		$helperInstance->addInputTextField('jabber');
	} // END - if

	if ($helperInstance->ifChatEnabled('yahoo')) {
		$helperInstance->addFieldText('yahoo', "Yahoo!:");
		$helperInstance->addInputTextField('yahoo');
	} // END - if

	if ($helperInstance->ifChatEnabled('aol')) {
		$helperInstance->addFieldText('aol', "AOL-Screenname:");
		$helperInstance->addInputTextField('aol');
	} // END - if

	if ($helperInstance->ifChatEnabled('msn')) {
		$helperInstance->addFieldText('msn', "MSN:");
		$helperInstance->addInputTextField('msn');
	} // END - if

	if (!$helperInstance->ifRegisterRequiresEmailVerification()) {
		$helperInstance->addFormExtraNote(1, "Die Benachrichtigungen per sind im Loginbereich verfeinerbar, welche du genau haben willst.");
	} // END - Extra note

} // END - ask profile data

// Posting-/Kommentarregeln abfragen
$helperInstance->addFormGroup('rules', "Bitte lese dir die Administrationsregeln gut durch und kreuze dann &quot;Ja, ich akzeptiere die aktuellen Administrationsregeln&quot; an.");
$helperInstance->addFieldText('rules', "Ja, ich akzeptiere die aktuellen Administrationsregeln:");
$helperInstance->addInputCheckboxField('rules', false);

// Add CAPTCHA?
if ($helperInstance->ifFormSecuredWithCaptcha()) {
	$helperInstance->addFormGroup('captcha', "Bitte wiederhole den angezeigten Code damit die Anmeldung abgeschlossen werden kann.");
	$helperInstance->addCaptcha();
} // END - if

// Final note and submit buttons
$helperInstance->addFormGroup('buttons', "Wenn du alle ben&ouml;tigten Felder korrekt ausgef&uuml;t hast, kannst du die Anmeldung abschliessen.");

$helperInstance->addInputResetButton("Alles nochmal eingeben");
$helperInstance->addInputSubmitButton("Anmeldung zum {?app_full_name?} abschliessen");
$helperInstance->addFormNote('data_protection', "Deine Daten werden nach den g&uuml;ltigen Datenschutzgesetzen gespeichert und werden nicht an Dritte weitergegeben. Weiteres dazu siehe Link &quot;Datenschutz&quot;.");
$helperInstance->flushContent();

// [EOC]
?>
<div id="content_header">
	Anmeldung bei <span class="app_name">{?app_full_name?}</span>
</div>

<div id="register_box">
	{?admin_register?}
</div>
